﻿using C1.WPF;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TabControlSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void tabControl_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            MessageBox.Show((e.AddedItems[0] as C1TabItem).Header + " Selected");
        }
    }

    public class C1TabItemEx : C1TabItem
    {
        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();
            var presenter = GetTemplateChild("C1TabItemPresenter") as C1TabItemPresenter;
        }
    }


    public class RotateConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var placement = (value as C1TabControl).TabStripPlacement;

            if (placement == C1.WPF.Dock.Left || placement == C1.WPF.Dock.Right)
                return -90;
            else
                return 0;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
